Issue for bi_import_img_from_zip (#420)
Status: OPEN
Date: 26/04/2021
ID: 420
S/O number: SO2021/1380266
Reviewer: Hiral Bhatt
Module Name: bi_import_img_from_zip
Version: 14.0
Tags:

Assigned to
Contact
Tanvi Mahadevia
tanvi.mahadevia@browseinfo.in
Reported by
Contact
Ricardo Martin

Description
Is the JFIF image format allowed?

I already imported products and they are available. Now I want to import the images for those existing product records.

I keep receiving this error when importing:

Error:
Odoo Server Error

Traceback (most recent call last):
File "/home/ubuntu/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/home/ubuntu/odoo/odoo/odoo/http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "/home/ubuntu/odoo/odoo/odoo/http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/home/ubuntu/odoo/odoo/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/home/ubuntu/odoo/odoo/odoo/http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "/home/ubuntu/odoo/odoo/odoo/http.py", line 912, in __call__
return self.method(*args, **kw)
File "/home/ubuntu/odoo/odoo/odoo/http.py", line 531, in response_wrap
response = f(*args, **kw)
File "/home/ubuntu/odoo/odoo/addons/web/controllers/main.py", line 1393, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/home/ubuntu/odoo/odoo/addons/web/controllers/main.py", line 1381, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/home/ubuntu/odoo/odoo/odoo/api.py", line 396, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/home/ubuntu/odoo/odoo/odoo/api.py", line 383, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/home/ubuntu/odoo/user/bi_import_img_from_zip/wizard/sale.py", line 57, in import_img
p=zf.extract(img, outpath)
File "/usr/lib/python3.8/zipfile.py", line 1630, in extract
return self._extract_member(member, path, pwd)
File "/usr/lib/python3.8/zipfile.py", line 1693, in _extract_member
os.makedirs(upperdirs)
File "/usr/lib/python3.8/os.py", line 213, in makedirs
makedirs(head, exist_ok=exist_ok)
File "/usr/lib/python3.8/os.py", line 223, in makedirs
mkdir(name, mode)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/home/ubuntu/odoo/odoo/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/home/ubuntu/odoo/odoo/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
PermissionError: [Errno 13] Permission denied: '~'

Message and communication history